#!/usr/bin/env bash

JAVA_HOME=/usr/java/default
export JAVA_HOME

CATALINA_OPTS="$CATALINA_OPTS -Xmx{{ replication_live.catalina.xmx }}"
CATALINA_OPTS="$CATALINA_OPTS -Xss{{ replication_live.catalina.xss }}"

## tell Tomcat to release the BodyContent buffer when BodyContentImpl.clear() is called.
CATALINA_OPTS="$CATALINA_OPTS -Dorg.apache.jasper.runtime.BodyContentImpl.LIMIT_BUFFER=true"

CATALINA_OPTS="$CATALINA_OPTS -XX:+CMSClassUnloadingEnabled"

## successful name lookups from the name service should not be cached
CATALINA_OPTS="$CATALINA_OPTS -Dsun.net.inetaddr.ttl=0"

CATALINA_OPTS="$CATALINA_OPTS -Djava.security.egd=file:/dev/./urandom"

CATALINA_OPTS="$CATALINA_OPTS -XX:+UseConcMarkSweepGC"
CATALINA_OPTS="$CATALINA_OPTS -XX:+UseParNewGC"
CATALINA_OPTS="$CATALINA_OPTS -XX:+CMSClassUnloadingEnabled"
CATALINA_OPTS="$CATALINA_OPTS -XX:+UseMembar"
CATALINA_OPTS="$CATALINA_OPTS -XX:OnOutOfMemoryError='kill -9 %p'"

CATALINA_OPTS="$CATALINA_OPTS -Djava.net.preferIPv4Stack=true"
CATALINA_OPTS="$CATALINA_OPTS -Djava.net.preferIPv4Addresses"
CATALINA_OPTS="$CATALINA_OPTS -Dlogging.config=file://{{ replication_live.user_home }}/logback.xml "
CATALINA_OPTS="$CATALINA_OPTS -Dlog.dir=/var/log/coremedia/{{ coremedia_application_name }}"

CATALINA_OPTS="$CATALINA_OPTS -Djava.rmi.server.hostname={{ ansible_fqdn }}"
CATALINA_OPTS="$CATALINA_OPTS -Dcom.sun.management.jmxremote"
CATALINA_OPTS="$CATALINA_OPTS -Dcom.sun.management.jmxremote.authenticate=false"
CATALINA_OPTS="$CATALINA_OPTS -Dcom.sun.management.jmxremote.ssl=false"
CATALINA_OPTS="$CATALINA_OPTS -Dcom.sun.management.jmxremote.password.file=$CATALINA_HOME/../jmxremote.password"
CATALINA_OPTS="$CATALINA_OPTS -Dcom.sun.management.jmxremote.access.file=$CATALINA_HOME/../jmxremote.access"

export CATALINA_OPTS
